# SI l'exécutable d'AVG est toujours présent, alors le désinstaller et redémarrer
if (Test-Path -Path "C:\Program Files (x86)\AVG\Setup\avgsetupx.exe") {
	# Désinstaller AVG
	Start-Process -Wait -PassThru -NoNewWindow -FilePath "C:\Program Files (x86)\AVG\Setup\avgsetupx.exe" -ArgumentList "/mode=offline","/uninstall=av","/AV.DontRestart=1","/silent=true"
	
	# Attendre que les processus msiexec s'achèvent
	Wait-Process -ErrorAction "SilentlyContinue" -Name "msiexec"
	
	# Nettoyer AVG
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "HKLM:\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\AVG"
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "C:\Program Files (x86)\AVG"
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "C:\Program Files\AVG"
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "C:\ProgramData\Avg"
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "C:\ProgramData\Avg2012"
	Remove-Item -Force -Recurse -ErrorAction "SilentlyContinue" -Path "C:\`$AVG"
	
}

## SI l'exécutable de Trend est présent, alors sortir
if (Test-Path -Path "C:\Program Files (x86)\Trend Micro\Client Server Security Agent\PccNtMon.exe") {
	Write-Host "Trend Security Agent est deja installé."
}
else {
	# Installer Trend
	Start-Process -Wait -PassThru -NoNewWindow -FilePath "C:\Windows\System32\msiexec.exe" -ArgumentList "/i","\\naswin\deploiement$\app\trendWF\WFBS-SVC_Agent_Installer.msi","/qn"
	
	# Attendre que les processus msiexec s'achèvent
	Wait-Process -ErrorAction "SilentlyContinue" -Name "msiexec"
}
